Bug 1329857 - Update EPEL7 nagios 4.0.8 to 4.1.1
Update EPEL7 nagios 4.0.8 to 4.1.1
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
https://www.nagios.org/news/2015/08/n...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-23 19:11 EDT by Derek Schrock
Modified: 2017-03-01 11:25 EST (History)
13 users (show)

See Also:
Fixed In Version: nagios-4.2.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 09:50:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Schrock 2016-04-23 19:11:28 EDT
If supported can the nagios-4.0.8 package be update to 4.1.1
Comment 1 Brian J. Murrell 2016-04-27 15:11:37 EDT
I would like to see this also.  My logs are getting filled with:

09:55:07 nagios Worker 19660: Unknown jobtype: 9
09:55:07 nagios wproc: Unknown job type: 9
09:55:10 nagios Worker 19661: Unknown jobtype: 10
09:55:10 nagios wproc: Unknown job type: 10

which is fixed in 4.1.0:

https://github.com/NagiosEnterprises/nagioscore/commit/fdcf340ffa4157e1a4646e9b149760c2ac223e58
Comment 2 Lenz Grimmer 2016-12-13 07:21:40 EST
While you're at it, could you please resolve BUG#1084934 as well? This also affects the version of Nagios in EPEL7, FWIW.
Comment 3 Fedora Update System 2017-02-07 18:46:57 EST
nagios-4.2.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 4 Fedora Update System 2017-02-09 16:17:50 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 5 Fedora Update System 2017-02-22 09:50:22 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Lenz Grimmer 2017-03-01 07:18:09 EST
This is the second time that Nagios in EPEL7 was updated to another major version, introducing a lot of disruptive changes. The update to 4.0.8 already broke several things (e.g. PNP4Nagios plugin), this update also changes the directory layout and location of several files, rendering existing 4.0.8 installations in a broken state during update.

This is in violation of the package policies for EPEL - https://fedoraproject.org/wiki/EPEL_Updates_Policy

"All updates should strive to avoid situations that require manual intervention to keep the package functioning after update."

"Major updates with changes to user experience are to be avoided."

As the member of a project that depends on a stable version of Nagios in EPEL, 
this repeated breaking of Nagios causes a lot of confusion and headache on our end and for our users.
Comment 7 Stephen John Smoogen 2017-03-01 09:49:13 EST
This bug is an auto tracking bug and so we will continue the discussion on how to fix this in https://bugzilla.redhat.com/show_bug.cgi?id=1427895

I will also be discussing it at todays EPSCO meeting on how to get it fixed.
Comment 8 meltingrobot 2017-03-01 11:25:57 EST
It's kind of a catch 22.  It needs to be stable, but there also needs to be an upgrade path or at the very least, somebody needs to backport security fixes.  If given between an upgrade breaking Nagios or having a major security hole due to a bug in an older release, I tend to lean towards at least having an option to apply a possibly breaking update to resolve the security issue.

Note You need to log in before you can comment on or make changes to this bug.